Get a template publication
Returns one immutable publication and its exact build receipt. Use this endpoint to get a template publication through the Samva email API.
Returns one immutable publication and its exact build receipt.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^tmpl_[0-9a-hjkmnp-tv-z]{16,24}$publicationId*string
Match
^tpub_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/templates/string/publications/string"{ "id": "string", "organizationId": "string", "projectId": "string", "templateId": "string", "inputContractId": "string", "commitSha": "string", "treeSha": "string", "entryPath": "string", "buildIdentity": "string", "manifest": { "templateKey": "string", "ir": { "version": 1, "digest": "string", "bytes": 0 }, "compiler": "string", "input": { "schemaDigest": "string", "contractDigest": "string" }, "assets": { "base": "string", "entries": [ { "path": "string", "fileName": "string", "digest": "string", "bytes": 0, "contentType": "string", "url": "string" } ] }, "source": { "commitSha": "string", "treeSha": "string", "entryPath": "string", "treeDigest": "string" }, "brand": { "slug": "string", "css": "string", "assets": { "logoUrl": "string", "logoDarkUrl": "string", "iconUrl": "string" }, "footer": { "companyName": "string", "address": { "street1": "string", "street2": "string", "city": "string", "region": "string", "postalCode": "string", "country": "string" }, "socialLinks": [ { "label": "string", "url": "string" } ] }, "renderedFooter": { "withUnsubscribe": { "html": "string", "text": "string" }, "withoutUnsubscribe": { "html": "string", "text": "string" } }, "digest": "string", "rendersFooter": "every" } }, "ir": { "key": "string", "digest": "string" }, "assets": [ { "path": "string", "fileName": "string", "digest": "string", "bytes": 0, "contentType": "string", "url": "string" } ], "warnings": [ { "code": "string", "severity": "error", "message": "string", "origins": [ { "fileName": "string", "lineNumber": 1, "columnNumber": 1 } ], "clients": [ "string" ], "notes": "string", "provenance": "string", "fixtures": [ "string" ], "occurrences": [ [ { "fileName": "string", "lineNumber": 1, "columnNumber": 1 } ] ], "compatibility": { "assessment": "risk", "title": "string" } } ], "incompatibilities": [ { "code": "string", "severity": "error", "message": "string", "origins": [ { "fileName": "string", "lineNumber": 1, "columnNumber": 1 } ], "clients": [ "string" ], "notes": "string", "provenance": "string", "fixtures": [ "string" ], "occurrences": [ [ { "fileName": "string", "lineNumber": 1, "columnNumber": 1 } ] ], "compatibility": { "assessment": "risk", "title": "string" } } ], "status": "string", "publishedAt": "string", "publishedBy": "string", "createdAt": "string"}